Bug 675429 - totem fails to play an m4a file with fluendo codecs installed
totem fails to play an m4a file with fluendo codecs installed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins-good (Show other bugs)
14
i386 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-05 11:11 EST by Thomas Meyer
Modified: 2012-08-16 08:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 08:24:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
totem with GST_DEBUG_NO_COLOR=1 GST_DEBUG=*:2 set (4.87 KB, text/plain)
2011-02-05 11:11 EST, Thomas Meyer
no flags Details

  None (edit)
Description Thomas Meyer 2011-02-05 11:11:55 EST
Created attachment 477210 [details]
totem with GST_DEBUG_NO_COLOR=1 GST_DEBUG=*:2 set

Description of problem:
totem (and/or gstreamer) fails to play this m4a file: "http://media.subethanet.org/fanboys/FAN005.m4a"

The file does not play with playbin2:

$ gst-launch-0.10 playbin2 uri=file:/home/thomas/Musik/Fanboys/FAN005.m4a 
Setting pipeline to PAUSED ...
Pipeline is PREROLLING ...
ERROR: from element /GstPlayBin2:playbin20/GstURIDecodeBin:uridecodebin0/GstDecodeBin2:decodebin20/GstQTDemux:qtdemux0: This file is invalid and cannot be played.
Additional debug info:
qtdemux.c(1852): gst_qtdemux_loop_state_header (): /GstPlayBin2:playbin20/GstURIDecodeBin:uridecodebin0/GstDecodeBin2:decodebin20/GstQTDemux:qtdemux0:
Header atom '
ERROR: pipeline doesn't want to preroll.
Setting pipeline to NULL ...
Freeing pipeline ...

It looks like the gstreamer QT demuxer have an problem with this file. The file plays correctly on my Nokia phone.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Thomas Meyer 2011-02-05 11:20:52 EST
The qtdemux plugin seems to be provided by this file "/usr/lib/gstreamer-0.10/libgstqtdemux" and in the package "gstreamer-plugins-good-0.10.26-1.fc14.i686".
Comment 2 Thomas Meyer 2011-02-11 08:29:45 EST
The erroneous handling of the atom "mdat" has been fixed in rawhide:

the qtdemux plug in rawhide plays the file correctly:
Name        : gstreamer-plugins-good
Arch        : i686
Version     : 0.10.27
Release     : 2.fc15
Comment 3 Fedora End Of Life 2012-08-16 08:24:13 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.